package org.nuiton.config.example;

/*-
 * #%L
 * Nuiton Config :: Example
 * %%
 * Copyright (C) 2016 Code Lutin, Tony Chemit
 * %%
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as
 * published by the Free Software Foundation, either version 3 of the
 * License, or (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Lesser Public License for more details.
 * 
 * You should have received a copy of the GNU General Lesser Public
 * License along with this program.  If not, see
 * <http://www.gnu.org/licenses/lgpl-3.0.html>.
 * #L%
 */

/**
 * Created on 30/09/16.
 *
 * @author Tony Chemit - dev@tchemit.fr
 */
public class NuitonConfigExample {

    public static void main(String... args) throws Exception {

        NuitonConfigExampleConfig config = new NuitonConfigExampleConfig();

        config.get().parse(
                "--option", "identity.lastName", "Kent",
                "--option", "identity.firstName", "Dick"
        );

        config.setAge(26);
        config.setTwitter("kdick");
        config.setEmail("kdick@gmail.com");

        System.out.println(config.getConfigurationDescription());

    }

    public void help() {
        System.out.println("Aide.");
    }

}
